"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/1z/65jd_97j40z81zjth6w6qbs40000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11ac618b0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61940>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11ac619d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61a60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61af0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61b80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61c10>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61ca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61d30>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61dc0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61e50>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61ee0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11ac61f70>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67040>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11ac670d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67160>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11ac671f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67280>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67310>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11ac673a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67430>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11ac674c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67550>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11ac675e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67700>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67670>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67790>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67820>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11ac678b0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67940>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11ac679d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67a60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67af0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67b80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67c10>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67ca0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67d30>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67dc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67e50>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67ee0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11ac67f70>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a040>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a0d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a160>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a1f0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a280>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a310>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a3a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a430>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a4c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a550>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a5e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a670>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a700>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a790>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a820>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a8b0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a940>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6a9d0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6aa60>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6aaf0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6ab80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6ac10>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6aca0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6ad30>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6adc0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6af70>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6ae50>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e040>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e0d0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e160>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e1f0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e280>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e3a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e310>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e430>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e4c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e550>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e670>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e5e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e700>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e790>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e820>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e8b0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e940>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x11ac6e9d0>)]
name: str = 'fr_HOCCN'
